net.minecraft.client.gui.inventory

## Class CreativeCrafting

- java.lang.Object
- - net.minecraft.client.gui.inventory.CreativeCrafting

- All Implemented Interfaces:
    ICrafting

      public class CreativeCrafting
      extends Object
      implements ICrafting

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreativeCrafting(Minecraft par1Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendContainerAndContentsToPlayer(Container par1Container, List par2List)`
    `void` | `sendProgressBarUpdate(Container par1Container, int par2, int par3)` Sends two ints to the client-side Container.
    `void` | `sendSlotContents(Container par1Container, int par2, ItemStack par3ItemStack)` Sends the contents of an inventory slot to the client-side Container.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreativeCrafting

          public CreativeCrafting(Minecraft par1Minecraft)

  - ### Method Detail

    - #### sendContainerAndContentsToPlayer

          public void sendContainerAndContentsToPlayer(Container par1Container,
                                              List par2List)

      Specified by:
        `sendContainerAndContentsToPlayer` in interface `ICrafting`

    - #### sendSlotContents

          public void sendSlotContents(Container par1Container,
                              int par2,
                              ItemStack par3ItemStack)

      Sends the contents of an inventory slot to the client-side Container. This doesn't have to match the actual contents of that slot. Args: Container, slot number, slot contents
      Specified by:
        `sendSlotContents` in interface `ICrafting`

    - #### sendProgressBarUpdate

          public void sendProgressBarUpdate(Container par1Container,
                                   int par2,
                                   int par3)

      Sends two ints to the client-side Container. Used for furnace burning time, smelting progress, brewing progress, and enchanting level. Normally the first int identifies which variable to update, and the second contains the new value. Both are truncated to shorts in non-local SMP.
      Specified by:
        `sendProgressBarUpdate` in interface `ICrafting`